{ File: [22,311]SRECVTST.PAS      Last edit: 15-APR-1988 16:59:15 
}

Program SRECVTST;


{History:

   Philip Hannay.  14-Apr-88.  Created for testing SRECV.

}

%include ex:[22,320]general3.typ;

%include ex:[22,320]string.pkg;

var
  task: ch6;
  msg: packed array [0..100] of char;
  stat: integer;

Begin
writeln('Begin SRECV test');
writeln;
write('Enter target task name, CR for any task> ');
sread(input,task);
writeln;
writeln('Calling SRecv to receive message');
writeln;
SRecv(task,msg,stat);
writeln;
writeln('Receive done, DSW = ',stat:1);
write('Sender name is "');
swrite(output,task);
writeln('"');
write('Msg is "');
swrite(output,msg);
writeln('"');
writeln;
writeln('Done with test');
end.
